MISSINdevelopersLog in

API reference

ChannelTypeDetail

Get one channel type by id with its detail prompt and options. Read access, channels toolset, MCP tool get_channel_type.

Access: Read

Variables

VariableTypeRequiredAcceptsDescription
idUUID!yesChecks for equality with the object’s rowId field.

Call it

bash
curl https://api.missin.co.uk/graphql/v1 \
  -H "Authorization: Bearer $MISSIN_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{"operationName":"ChannelTypeDetail","variables":{"id":"00000000-0000-0000-0000-000000000000"},"extensions":{"persistedQuery":{"version":1,"sha256Hash":"4b54c5f74bf2b9d8cf269f7fe9e76141987821dc89b20345ab87da9ae9f73cfb"}}}'

Document

graphql
query ChannelTypeDetail($id: UUID!) { __typename allChannelTypes(condition: {rowId: $id}, first: 1) { __typename nodes { __typename askDetail channelsByChannelTypeId(first: 100, orderBy: [NAME_ASC]) { __typename nodes { __typename displayName id name rowId } } detailOptions detailPrompt displayName id name rowId slug } } }

For AI agents: a markdown index of this site is at /llms.txt, and every page is available as markdown by adding .md to its URL.